KCMAP_MODIFY(3)

FUNCTION
kcmap_modify - Change colours in a colourmap.

SYNOPSIS
#include <karma_kcmap.h>

void kcmap_modify

(Kcolourmap cmap, double x, double y, void *var_param)

DESCRIPTION
This routine will call the active colour compute function to change the colourmap colours in a colourmap.

cmap
    The colourmap object.

x   A parameter used to compute the colour values.

y   A parameter used to compute the colour values.

var_param
    A parameter used to compute the colour values.

RETURN VALUE
Nothing.

Multi-threading Level
Unsafe.

NOTE
If the REVERSE attribute for the colourmap is set, the colourmap is reversed.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/